import {useRouter} from 'next/router';
import React, {ReactNode} from 'react';
import {IntlProvider} from 'react-intl';
import NextIntlContext from './NextIntlContext';
import NextIntlMessages from './NextIntlMessages';

type Props = {
  children: ReactNode;
  messages: NextIntlMessages;
  /* Override the automatically provided locale from Next.js */
  locale?: string;
};

export default function NextIntlProvider({children, locale, messages}: Props) {
  useRouter();
  return (
    // @ts-ignore
    <IntlProvider locale={locale} messages={messages}>
      <NextIntlContext.Provider value={{messages, locale}}>
        {children}
      </NextIntlContext.Provider>
    </IntlProvider>
  );
}
